## fcitx5-chinese-addons 0.0~git20200117.4261e23

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6.0)
project(fcitx5-chinese-addons VERSION 0.0.1)

find_package(ECM REQUIRED 1.0.0)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
include(FeatureSummary)
include(GNUInstallDirs)
include(ECMSetupVersion)
include(ECMUninstallTarget)

find_package(Fcitx5Core REQUIRED)
find_package(Fcitx5Module REQUIRED COMPONENTS Notifications QuickPhrase Spell)
find_package(LibIntl REQUIRED)
find_package(Pthread REQUIRED)
find_package(PkgConfig REQUIRED)
find_package(Gettext REQUIRED)
find_package(fmt REQUIRED)

if (TARGET fmt::fmt-header-only)
  set(FMT_TARGET fmt::fmt-header-only)
else()
  set(FMT_TARGET fmt::fmt)
endif ()

pkg_check_modules(Curl REQUIRED IMPORTED_TARGET "libcurl")

include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")

#######################################################################
# Options
#######################################################################
option(ENABLE_TEST "Build Test" On)
option(ENABLE_OPENCC "Enable OpenCC for chttrans" On)
option(ENABLE_GUI "Enable Configure Gui" On)

if (ENABLE_OPENCC)
    find_package(OpenCC REQUIRED)
endif()

if (ENABLE_GUI)
    find_package(Qt5 REQUIRED COMPONENTS DBus WebEngineWidgets Concurrent)
    find_package(Fcitx5Qt5WidgetsAddons REQUIRED)
    find_package(Fcitx5Qt5DBusAddons REQUIRED)
endif()

find_package(Boost 1.61 REQUIRED COMPONENTS iostreams)
find_package(LibIMEPinyin REQUIRED)
find_package(LibIMETable REQUIRED)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-chinese-addons\")

add_subdirectory(modules)
add_subdirectory(im)
add_subdirectory(po)
add_subdirectory(tools)

if (ENABLE_GUI)
    add_subdirectory(gui)
endif()

if (ENABLE_TEST)
    enable_testing()
    add_subdirectory(test)

    if (ENABLE_COVERAGE)
        add_custom_target(coverage
                        COMMAND "${CMAKE_CTEST_COMMAND}"
                        COMMAND lcov --capture --directory ./ --output-file coverage.info
                        COMMAND genhtml coverage.info --output-directory "coverage_pages"
                        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
    endif()
endif ()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== gui/CMakeLists.txt ===
add_subdirectory(pinyindictmanager)

=== test/CMakeLists.txt ===
configure_file(testdir.h.in ${CMAKE_CURRENT_BINARY_DIR}/testdir.h @ONLY)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_executable(testpunctuation testpunctuation.cpp)
target_link_libraries(testpunctuation Fcitx5::Core Fcitx5::Module::Punctuation)
add_dependencies(testpunctuation punctuation punctuation.conf.in-fmt)
add_test(NAME testpunctuation COMMAND testpunctuation)

add_executable(testcloudpinyin testcloudpinyin.cpp)
target_link_libraries(testcloudpinyin Fcitx5::Core Fcitx5::Module::CloudPinyin)
add_dependencies(testcloudpinyin cloudpinyin)

add_executable(testpinyinhelper testpinyinhelper.cpp)
target_link_libraries(testpinyinhelper Fcitx5::Core Fcitx5::Module::PinyinHelper)
add_dependencies(testpinyinhelper pinyinhelper pinyinhelper.conf.in-fmt)
add_test(NAME testpinyinhelper COMMAND testpinyinhelper ${PROJECT_BINARY_DIR}/modules/pinyinhelper)

=== gui/pinyindictmanager/CMakeLists.txt ===
add_library(pinyindictmanager MODULE
  main.cpp
  pinyindictmanager.cpp
  processrunner.cpp
  pipeline.cpp
  pipelinejob.cpp
  log.cpp
  renamefile.cpp
  filelistmodel.cpp
  browserdialog.cpp
  filedownloader.cpp
  )
target_link_libraries(pinyindictmanager Fcitx5Qt5::WidgetsAddons Fcitx5Qt5::DBusAddons Qt5::DBus Qt5::WebEngineWidgets Qt5::Concurrent)
set_target_properties(pinyindictmanager PROPERTIES AUTOMOC TRUE AUTOUIC TRUE AUTOUIC_OPTIONS "-tr=fcitx::tr2fcitx;--include=fcitxqti18nhelper.h")

install(TARGETS pinyindictmanager DESTINATION ${CMAKE_INSTALL_LIBDIR}/fcitx5/qt5)

=== im/pinyin/CMakeLists.txt ===
set(PINYIN_SOURCES
    pinyin.cpp
)
add_library(pinyin MODULE ${PINYIN_SOURCES})
target_link_libraries(pinyin Fcitx5::Core Fcitx5::Config LibIME::Pinyin Boost::iostreams Fcitx5::Module::Punctuation Fcitx5::Module::QuickPhrase Fcitx5::Module::CloudPinyin Fcitx5::Module::Notifications Fcitx5::Module::Spell Fcitx5::Module::PinyinHelper ${FMT_TARGET})
set_target_properties(pinyin PROPERTIES PREFIX "")
install(TARGETS pinyin DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
fcitx5_translate_desktop_file(pinyin.conf.in pinyin.conf)
fcitx5_translate_desktop_file(shuangpin.conf.in shuangpin.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pinyin.conf" "${CMAKE_CURRENT_BINARY_DIR}/shuangpin.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/inputmethod")
fcitx5_translate_desktop_file(pinyin-addon.conf.in pinyin-addon.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pinyin-addon.conf" RENAME pinyin.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")

=== modules/chttrans/CMakeLists.txt ===
set(CHTTRANS_SOURCES
    chttrans.cpp chttrans-native.cpp
)
if (ENABLE_OPENCC)
    set(CHTTRANS_SOURCES ${CHTTRANS_SOURCES} chttrans-opencc.cpp)
endif()
add_library(chttrans MODULE ${CHTTRANS_SOURCES})
target_link_libraries(chttrans Fcitx5::Core Fcitx5::Config Fcitx5::Module::Notifications Boost::iostreams)
if (ENABLE_OPENCC)
    target_link_libraries(chttrans OpenCC::OpenCC)
endif()
set_target_properties(chttrans PROPERTIES PREFIX "")
install(TARGETS chttrans DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
fcitx5_translate_desktop_file(chttrans.conf.in chttrans.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/chttrans.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")
install(FILES gbks2t.tab DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/data")

=== modules/cloudpinyin/CMakeLists.txt ===
set(CLOUDPINYIN_SOURCES
    cloudpinyin.cpp
    fetch.cpp
)

add_library(cloudpinyin MODULE ${CLOUDPINYIN_SOURCES})
target_link_libraries(cloudpinyin Fcitx5::Core Fcitx5::Config PkgConfig::Curl Pthread::Pthread)
set_target_properties(cloudpinyin PROPERTIES PREFIX "")
install(TARGETS cloudpinyin DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
fcitx5_translate_desktop_file(cloudpinyin.conf.in cloudpinyin.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/cloudpinyin.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")
install(FILES ${CLOUDPINYIN_DATA_FILES} DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/cloudpinyin")

fcitx5_export_module(CloudPinyin TARGET cloudpinyin BUILD_INCLUDE_DIRECTORIES "${CMAKE_CURRENT_SOURCE_DIR}" HEADERS cloudpinyin_public.h INSTALL)

=== modules/fullwidth/CMakeLists.txt ===
set(FULLWIDTH_SOURCES
    fullwidth.cpp
)
add_library(fullwidth MODULE ${FULLWIDTH_SOURCES})
target_link_libraries(fullwidth Fcitx5::Core Fcitx5::Config Fcitx5::Module::Notifications)
set_target_properties(fullwidth PROPERTIES PREFIX "")
install(TARGETS fullwidth DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
fcitx5_translate_desktop_file(fullwidth.conf.in fullwidth.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/fullwidth.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")

=== modules/pinyinhelper/CMakeLists.txt ===
set(PINYINHELPER_SOURCES
    pinyinhelper.cpp
    pinyinlookup.cpp
    stroke.cpp
)
add_library(pinyinhelper MODULE ${PINYINHELPER_SOURCES})
target_link_libraries(pinyinhelper Fcitx5::Core Fcitx5::Config LibIME::Core Boost::iostreams)
set_target_properties(pinyinhelper PROPERTIES PREFIX "")
install(TARGETS pinyinhelper DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
fcitx5_translate_desktop_file(pinyinhelper.conf.in pinyinhelper.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pinyinhelper.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")

fcitx5_export_module(PinyinHelper TARGET pinyinhelper BUILD_INCLUDE_DIRECTORIES "${CMAKE_CURRENT_SOURCE_DIR}" HEADERS pinyinhelper_public.h INSTALL)

set(PY_STROKE_VER 20121124)
set(PY_STROKE_TGT "${CMAKE_CURRENT_BINARY_DIR}/py_stroke.mb")
set(PY_STROKE_TAR "py_stroke-${PY_STROKE_VER}.tar.gz")
set(PY_STROKE_URL
  "http://download.fcitx-im.org/data/py_stroke-${PY_STROKE_VER}.tar.gz")
fcitx5_download(py-stroke-download "${PY_STROKE_URL}" "${PY_STROKE_TAR}"
  8eb128a9bfa43952e67cf2fcee1fd134c6f4cfd317bc2f6c38a615f5eb64e248)
fcitx5_extract(py-stroke-extract "${PY_STROKE_TAR}" DEPENDS py-stroke-download
  OUTPUT ${PY_STROKE_TGT})
install(FILES "${PY_STROKE_TGT}" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/pinyinhelper")

set(PY_TABLE_VER 20121124)
set(PY_TABLE_TGT "${CMAKE_CURRENT_BINARY_DIR}/py_table.mb")
set(PY_TABLE_TAR "py_table-${PY_TABLE_VER}.tar.gz")
set(PY_TABLE_URL
  "http://download.fcitx-im.org/data/py_table-${PY_TABLE_VER}.tar.gz")
fcitx5_download(py-table-download "${PY_TABLE_URL}" "${PY_TABLE_TAR}"
  42146ac97de6c13d55f9e99ed873915f4c66739e9c11532a34556badf9792c04)
fcitx5_extract(py-table-extract "${PY_TABLE_TAR}" DEPENDS py-table-download
  OUTPUT ${PY_TABLE_TGT})
install(FILES "${PY_TABLE_TGT}" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/pinyinhelper")

=== modules/punctuation/CMakeLists.txt ===
set(PUNCTUATION_SOURCES
    punctuation.cpp
)

set(PUNCTUATION_DATA_FILES
  punc.mb.zh_CN
  punc.mb.zh_HK
  punc.mb.zh_TW
)

add_library(punctuation MODULE ${PUNCTUATION_SOURCES})
target_link_libraries(punctuation Fcitx5::Core Fcitx5::Config Boost::iostreams Fcitx5::Module::Notifications)
set_target_properties(punctuation PROPERTIES PREFIX "")
install(TARGETS punctuation DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
fcitx5_translate_desktop_file(punctuation.conf.in punctuation.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/punctuation.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")
install(FILES ${PUNCTUATION_DATA_FILES} DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/punctuation")

fcitx5_export_module(Punctuation TARGET punctuation BUILD_INCLUDE_DIRECTORIES "${CMAKE_CURRENT_SOURCE_DIR}" HEADERS punctuation_public.h INSTALL)

=== debian/changelog ===
fcitx5-chinese-addons (0.0~git20200117.4261e23-2) unstable; urgency=medium

  * Source-only upload to allow testing migration.
  * debian/control: Bump Standards-Version to 4.5.0.

 -- Boyuan Yang <byang@debian.org>  Thu, 06 Feb 2020 22:56:15 -0500

fcitx5-chinese-addons (0.0~git20200117.4261e23-1) unstable; urgency=medium

  * Initial release. (Closes: #949328)

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Jan 2020 20:33:28 -0800

=== debian/control ===
Source: fcitx5-chinese-addons
Priority: optional
Section: utils
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake (>= 3.6.0),
 debhelper-compat (= 12),
 extra-cmake-modules,
 fcitx5-modules-dev,
 gettext,
 libboost-iostreams-dev,
 libcurl4-openssl-dev | libcurl-dev,
 libfcitx5-qt-dev,
 libfcitx5config-dev,
 libfcitx5core-dev,
 libfcitx5utils-dev,
 libfmt-dev,
 libimecore-dev,
 libimepinyin-dev,
 libimetable-dev,
 libopencc-dev (>= 1.0.4),
 pkg-config,
 qtwebengine5-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/fcitx/fcitx5-chinese-addons
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-chinese-addons.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-chinese-addons

Package: fcitx5-chinese-addons
Section: metapackages
Architecture: all
Multi-Arch: foreign
Depends:
 fcitx5-chinese-addons-bin,
 fcitx5-pinyin,
 fcitx5-table,
 ${misc:Depends},
Description: Chinese-related addon for fcitx5 (metapackage)
 For Chinese fcitx5 users, fcitx5-chinese-addons provides Chinese-specific
 pinyin and table input method support.
 .
 This package is a metapackage, which depends on all addons provided by
 fcitx5-chinese-addons project. Users should consider installing it for
 best experience of Chinese integration with fcitx5.

Package: fcitx5-chinese-addons-bin
Architecture: any
Depends:
 fcitx5-chinese-addons-data,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Chinese-related addon for fcitx5 (binary tools)
 For Chinese fcitx5 users, fcitx5-chinese-addons provides Chinese-specific
 pinyin and table input method support.
 .
 This package provides binary tools provided by fcitx5-chinese-addons.

Package: fcitx5-chinese-addons-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Chinese-related addon for fcitx5 (shared data files)
 For Chinese fcitx5 users, fcitx5-chinese-addons provides Chinese-specific
 pinyin and table input method support.
 .
 This package provides architecture-independent shared data files used by
 fcitx5-chinese-addons.

Package: fcitx5-module-chttrans
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-chinese-addons-data,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Fcitx Input Method Framework v5 (chttrans module)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides plasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the chttrans module.

Package: fcitx5-module-cloudpinyin
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-chinese-addons-data,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Fcitx Input Method Framework v5 (cloudpinyin module)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides plasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the cloudpinyin module. It is used to enhance
 the input experience of Chinese pinyin users.

Package: fcitx5-module-cloudpinyin-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-module-cloudpinyin (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Development files for fcitx5 cloudpinyin module
 Fcitx5 is the next generation of fcitx input method framework. It
 provides plasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides development files for the cloudpinyin module
 of fcitx5.

Package: fcitx5-module-fullwidth
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-chinese-addons-data,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Fcitx Input Method Framework v5 (fullwidth module)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides plasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the chttrans module. It enhances the input
 experience of full-width characters.

Package: fcitx5-module-pinyinhelper
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-chinese-addons-data,
 fcitx5-pinyin (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Fcitx Input Method Framework v5 (pinyinhelper module)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides plasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the pinyinhelper module. It is used to enhance
 the input experience of Chinese pinyin users.

Package: fcitx5-module-pinyinhelper-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-module-pinyinhelper (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Development files for fcitx5 pinyinhelper module
 Fcitx5 is the next generation of fcitx input method framework. It
 provides plasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides development files for the pinyinhelper module
 of fcitx5.

Package: fcitx5-module-punctuation
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-chinese-addons-data,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Fcitx Input Method Framework v5 (punctuation module)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides plasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the punctuation module. It provides the
 capability to easily input punctuations.

Package: fcitx5-module-punctuation-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-module-punctuation (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Development files for fcitx5 punctuation module
 Fcitx5 is the next generation of fcitx input method framework. It
 provides plasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides development files for the punctuation module
 of fcitx5.

Package: fcitx5-pinyin
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-chinese-addons-data,
 fcitx5-module-punctuation (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx5-module-chttrans (= ${binary:Version}),
 fcitx5-module-cloudpinyin (= ${binary:Version}),
 fcitx5-module-fullwidth (= ${binary:Version}),
 fcitx5-module-pinyinhelper (= ${binary:Version}),
 fcitx5-module-quickphrase,
Description: Fcitx Input Method Framework v5 (builtin pinyin support)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides plasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the builtin pinyin input method. It provides
 the default pinyin input method for Chinese users.

Package: fcitx5-table
Architecture: any
Multi-Arch: same
Depends:
 fcitx5-chinese-addons-data,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Fcitx Input Method Framework v5 (builtin table support)
 Fcitx5 is the next generation of fcitx input method framework. It
 provides plasant and modern input experience with intuitive graphical
 configuration tools. The framework is highly extensible with support
 for GTK+ and Qt toolkits, DBus interfaces, a large variety of desktop
 environments and a developer-friendly API.
 .
 Some of its new features include support of both Wayland and Xorg
 and the ability to mimic IBus Input Method Framework in order to
 provide better compatibility across different Linux distributions
 and desktop environments.
 .
 This package provides the table engine for fcitx5. With this
 engine, Fcitx5 is able to support a large number of table-based input
 methods such as Wubi, ZhengMa, etc.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

# Standard test requires full installation.
# Allow it to be failing in "make test".
ifneq (nocheck,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	-dh_auto_test
endif

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
 https://github.com/fcitx/fcitx5-chinese-addons.git \
  HEAD debian uupdate

## fcitx5-chinese-addons 0.0~git20200626.dfa59e5

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,8 @@
 include(ECMUninstallTarget)
 
 find_package(Fcitx5Core REQUIRED)
-find_package(Fcitx5Module REQUIRED COMPONENTS Notifications QuickPhrase Spell)
+find_package(Fcitx5Module REQUIRED COMPONENTS Notifications QuickPhrase Spell Clipboard TestFrontend)
+find_package(Fcitx5ModuleLuaAddonLoader)
 find_package(LibIntl REQUIRED)
 find_package(Pthread REQUIRED)
 find_package(PkgConfig REQUIRED)
@@ -30,17 +31,27 @@
 # Options
 #######################################################################
 option(ENABLE_TEST "Build Test" On)
+option(ENABLE_COVERAGE "Build the project with gcov support (Need ENABLE_TEST=On)" Off)
 option(ENABLE_OPENCC "Enable OpenCC for chttrans" On)
 option(ENABLE_GUI "Enable Configure Gui" On)
+option(ENABLE_BROWSER "Enable built-in browser." On)
+option(USE_WEBKIT "Use WebKit as browser backend." On)
 
 if (ENABLE_OPENCC)
     find_package(OpenCC REQUIRED)
 endif()
 
 if (ENABLE_GUI)
-    find_package(Qt5 REQUIRED COMPONENTS DBus WebEngineWidgets Concurrent)
+    find_package(Qt5 REQUIRED COMPONENTS DBus Concurrent)
     find_package(Fcitx5Qt5WidgetsAddons REQUIRED)
     find_package(Fcitx5Qt5DBusAddons REQUIRED)
+    if (ENABLE_BROWSER)
+        if (USE_WEBKIT)
+            find_package(Qt5WebKitWidgets REQUIRED)
+        else()
+            find_package(Qt5WebEngineWidgets REQUIRED)
+        endif()
+    endif()
 endif()
 
 find_package(Boost 1.61 REQUIRED COMPONENTS iostreams)
@@ -61,6 +72,8 @@
     add_subdirectory(gui)
 endif()
 
+add_subdirectory(icon)
+
 if (ENABLE_TEST)
     enable_testing()
     add_subdirectory(test)
@@ -68,7 +81,7 @@
     if (ENABLE_COVERAGE)
         add_custom_target(coverage
                         COMMAND "${CMAKE_CTEST_COMMAND}"
-                        COMMAND lcov --capture --directory ./ --output-file coverage.info
+                        COMMAND lcov --no-external --capture --directory ./ -b "${CMAKE_CURRENT_SOURCE_DIR}" --output-file coverage.info
                         COMMAND genhtml coverage.info --output-directory "coverage_pages"
                         WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
     endif()

=== icon/CMakeLists.txt ===
foreach(size 16 22 24 48)
    install(DIRECTORY ${size}x${size} DESTINATION share/icons/hicolor
             PATTERN .* EXCLUDE
             PATTERN *~ EXCLUDE)
endforeach(size 16 22 24 48)

install(DIRECTORY scalable DESTINATION share/icons/hicolor
         PATTERN ".*" EXCLUDE
         PATTERN "*~" EXCLUDE)

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -13,4 +13,11 @@
 add_executable(testpinyinhelper testpinyinhelper.cpp)
 target_link_libraries(testpinyinhelper Fcitx5::Core Fcitx5::Module::PinyinHelper)
 add_dependencies(testpinyinhelper pinyinhelper pinyinhelper.conf.in-fmt)
-add_test(NAME testpinyinhelper COMMAND testpinyinhelper ${PROJECT_BINARY_DIR}/modules/pinyinhelper)
+add_test(NAME testpinyinhelper COMMAND testpinyinhelper)
+
+add_subdirectory(addon)
+add_subdirectory(inputmethod)
+add_executable(testpinyin testpinyin.cpp)
+target_link_libraries(testpinyin Fcitx5::Core Fcitx5::Module::TestFrontend Pthread::Pthread)
+add_dependencies(testpinyin pinyin pinyinhelper copy-addon copy-im)
+add_test(NAME testpinyin COMMAND testpinyin)

=== test/addon/CMakeLists.txt ===
add_custom_target(copy-addon DEPENDS pinyin-addon.conf.in-fmt pinyinhelper.conf.in-fmt punctuation.conf.in-fmt)
add_custom_command(TARGET copy-addon COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/im/pinyin/pinyin-addon.conf ${CMAKE_CURRENT_BINARY_DIR}/pinyin.conf)
add_custom_command(TARGET copy-addon COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/modules/punctuation/punctuation.conf ${CMAKE_CURRENT_BINARY_DIR}/punctuation.conf)
add_custom_command(TARGET copy-addon COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/modules/pinyinhelper/pinyinhelper.conf ${CMAKE_CURRENT_BINARY_DIR}/pinyinhelper.conf)

=== test/inputmethod/CMakeLists.txt ===
add_custom_target(copy-im DEPENDS pinyin.conf.in-fmt)
add_custom_command(TARGET copy-im COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/im/pinyin/pinyin.conf ${CMAKE_CURRENT_BINARY_DIR}/pinyin.conf)

=== debian/changelog ===
fcitx5-chinese-addons (0.0~git20200626.dfa59e5-3) unstable; urgency=medium

  * Manual rebuild for opencc 1.1+ transition.
  * debian/rules: Drop unnecessary linker flags.

 -- Boyuan Yang <byang@debian.org>  Sat, 04 Jul 2020 10:58:09 -0400

fcitx5-chinese-addons (0.0~git20200626.dfa59e5-2) unstable; urgency=medium

  * Team upload.
  * Bump libime to 0.0~git20200626

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 03 Jul 2020 13:27:34 +0800

fcitx5-chinese-addons (0.0~git20200626.dfa59e5-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot. (Closes: #957196)
  * Bump debhelper-compat to 13
  * Refresh patches
  * Bump fcitx5 to 0.0~git20200626.2e9821a

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 02 Jul 2020 12:35:06 +0800

fcitx5-chinese-addons (0.0~git20200409.5a087da-2) unstable; urgency=medium

  * Team upload.
  * Add qtbase5-dev to Build-Depends

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 10 Apr 2020 23:57:55 +0800

fcitx5-chinese-addons (0.0~git20200409.5a087da-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Only build depend qtwebengine on available arch
  * Bump fcitx5 to 0.0~git20200409.6409547

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 10 Apr 2020 23:16:52 +0800

fcitx5-chinese-addons (0.0~git20200323.346414a-1) unstable; urgency=medium

  * Team upload.
  * Add patch to rename icon to fcitx5
  * Install new icons
  * Bump libime to 0.0~git20200318

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 24 Mar 2020 04:37:25 +0800

fcitx5-chinese-addons (0.0~git20200311.25bd23c-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Update debian/copyright info for new version.
  * Bump libimepinyin-dev to 0.0~git20200310.
  * Add libime-bin to Build-Depends.
  * Install emoji dict to fcitx5-pinyin package.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 13 Mar 2020 00:58:25 +0800

=== debian/control ===
--- 
+++ 
@@ -6,23 +6,25 @@
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  cmake (>= 3.6.0),
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  extra-cmake-modules,
- fcitx5-modules-dev,
+ fcitx5-modules-dev (>= 0.0~git20200626),
  gettext,
  libboost-iostreams-dev,
  libcurl4-openssl-dev | libcurl-dev,
  libfcitx5-qt-dev,
- libfcitx5config-dev,
- libfcitx5core-dev,
- libfcitx5utils-dev,
+ libfcitx5config-dev (>= 0.0~git20200626),
+ libfcitx5core-dev (>= 0.0~git20200626),
+ libfcitx5utils-dev (>= 0.0~git20200626),
  libfmt-dev,
- libimecore-dev,
- libimepinyin-dev,
- libimetable-dev,
- libopencc-dev (>= 1.0.4),
+ libime-bin (>= 0.0~git20200626),
+ libimecore-dev (>= 0.0~git20200626),
+ libimepinyin-dev (>= 0.0~git20200626),
+ libimetable-dev (>= 0.0~git20200626),
+ libopencc-dev (>= 1.1~),
  pkg-config,
- qtwebengine5-dev,
+ qtbase5-dev,
+ qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-chinese-addons

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND =

%:
	dh $@

override_dh_auto_configure:
ifeq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 mipsel))
	dh_auto_configure -- -DENABLE_BROWSER=OFF
else
	dh_auto_configure -- -DUSE_WEBKIT=OFF
endif

# Standard test requires full installation.
# Allow it to be failing in "make test".
override_dh_auto_test:
	-dh_auto_test

## fcitx5-chinese-addons 5.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.6.0)
-project(fcitx5-chinese-addons VERSION 0.0.1)
+project(fcitx5-chinese-addons VERSION 5.0.3)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -8,8 +8,8 @@
 include(ECMSetupVersion)
 include(ECMUninstallTarget)
 
-find_package(Fcitx5Core REQUIRED)
-find_package(Fcitx5Module REQUIRED COMPONENTS Notifications QuickPhrase Spell Clipboard TestFrontend)
+find_package(Fcitx5Core 5.0.4 REQUIRED)
+find_package(Fcitx5Module REQUIRED COMPONENTS Notifications QuickPhrase Spell Clipboard TestFrontend TestIM)
 find_package(Fcitx5ModuleLuaAddonLoader)
 find_package(LibIntl REQUIRED)
 find_package(Pthread REQUIRED)
@@ -32,6 +32,7 @@
 #######################################################################
 option(ENABLE_TEST "Build Test" On)
 option(ENABLE_COVERAGE "Build the project with gcov support (Need ENABLE_TEST=On)" Off)
+set(GCOV_TOOL "gcov" CACHE STRING "Path to gcov tool used by coverage.")
 option(ENABLE_OPENCC "Enable OpenCC for chttrans" On)
 option(ENABLE_GUI "Enable Configure Gui" On)
 option(ENABLE_BROWSER "Enable built-in browser." On)
@@ -56,12 +57,13 @@
 
 find_package(Boost 1.61 REQUIRED COMPONENTS iostreams)
 find_package(LibIMEPinyin REQUIRED)
-find_package(LibIMETable REQUIRED)
+find_package(LibIMETable 1.0.3 REQUIRED)
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
 add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-chinese-addons\")
+fcitx5_add_i18n_definition()
 
 add_subdirectory(modules)
 add_subdirectory(im)
@@ -81,10 +83,15 @@
     if (ENABLE_COVERAGE)
         add_custom_target(coverage
                         COMMAND "${CMAKE_CTEST_COMMAND}"
-                        COMMAND lcov --no-external --capture --directory ./ -b "${CMAKE_CURRENT_SOURCE_DIR}" --output-file coverage.info
+                        COMMAND lcov --gcov-tool "${GCOV_TOOL}" --no-external --capture --directory ./ -b "${CMAKE_CURRENT_SOURCE_DIR}" --output-file coverage.info
                         COMMAND genhtml coverage.info --output-directory "coverage_pages"
                         WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
     endif()
 endif ()
 
+fcitx5_translate_desktop_file(org.fcitx.Fcitx5.Addon.ChineseAddons.metainfo.xml.in
+    org.fcitx.Fcitx5.Addon.ChineseAddons.metainfo.xml XML)
+
+install(FILES "${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.Fcitx5.Addon.ChineseAddons.metainfo.xml" DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
+
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

## fcitx5-chinese-addons 5.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.6.0)
-project(fcitx5-chinese-addons VERSION 5.0.3)
+project(fcitx5-chinese-addons VERSION 5.0.4)
 
 find_package(ECM REQUIRED 1.0.0)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -63,6 +63,7 @@
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
 add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-chinese-addons\")
+add_definitions(-DQT_NO_KEYWORDS)
 fcitx5_add_i18n_definition()
 
 add_subdirectory(modules)

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -15,9 +15,23 @@
 add_dependencies(testpinyinhelper pinyinhelper pinyinhelper.conf.in-fmt)
 add_test(NAME testpinyinhelper COMMAND testpinyinhelper)
 
+add_executable(testfullwidth testfullwidth.cpp)
+target_link_libraries(testfullwidth Fcitx5::Core Fcitx5::Module::TestFrontend Fcitx5::Module::TestIM Pthread::Pthread)
+add_dependencies(testfullwidth fullwidth fullwidth.conf.in-fmt)
+add_test(NAME testfullwidth COMMAND testfullwidth)
+
+add_subdirectory(inputmethod)
+add_executable(testchttrans testchttrans.cpp)
+target_link_libraries(testchttrans Fcitx5::Core Fcitx5::Module::TestFrontend Fcitx5::Module::TestIM Pthread::Pthread)
+add_dependencies(testchttrans chttrans chttrans.conf.in-fmt copy-addon copy-testim)
+add_test(NAME testchttrans COMMAND testchttrans)
+
 add_subdirectory(addon)
-add_subdirectory(inputmethod)
 add_executable(testpinyin testpinyin.cpp)
 target_link_libraries(testpinyin Fcitx5::Core Fcitx5::Module::TestFrontend Pthread::Pthread)
 add_dependencies(testpinyin pinyin pinyinhelper copy-addon copy-im)
 add_test(NAME testpinyin COMMAND testpinyin)
+add_executable(testtable testtable.cpp)
+target_link_libraries(testtable Fcitx5::Core Fcitx5::Module::TestFrontend Pthread::Pthread)
+add_dependencies(testtable table copy-addon copy-im)
+add_test(NAME testtable COMMAND testtable)

=== im/pinyin/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,13 @@
 )
 add_library(pinyin MODULE ${PINYIN_SOURCES})
 target_link_libraries(pinyin Fcitx5::Core Fcitx5::Config LibIME::Pinyin Boost::iostreams Fcitx5::Module::Punctuation Fcitx5::Module::QuickPhrase Fcitx5::Module::CloudPinyin Fcitx5::Module::Notifications Fcitx5::Module::Spell Fcitx5::Module::PinyinHelper ${FMT_TARGET})
+
+if (TARGET Fcitx5::Module::LuaAddonLoader)
+    target_compile_definitions(pinyin PRIVATE -DFCITX_HAS_LUA)
+    target_link_libraries(pinyin Fcitx5::Module::LuaAddonLoader)
+    install(FILES pinyin.lua DESTINATION "${FCITX_INSTALL_PKGDATADIR}/lua/imeapi/extensions")
+endif()
+
 set_target_properties(pinyin PROPERTIES PREFIX "")
 install(TARGETS pinyin DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
 fcitx5_translate_desktop_file(pinyin.conf.in pinyin.conf)
@@ -11,3 +18,16 @@
 fcitx5_translate_desktop_file(pinyin-addon.conf.in pinyin-addon.conf)
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/pinyin-addon.conf" RENAME pinyin.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")
 
+add_custom_command(
+  OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/emoji.dict"
+  DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/emoji.txt" LibIME::pinyindict
+  COMMAND LibIME::pinyindict "${CMAKE_CURRENT_SOURCE_DIR}/emoji.txt" "${CMAKE_CURRENT_BINARY_DIR}/emoji.dict")
+add_custom_target(emoji-dict ALL DEPENDS "emoji.dict")
+install(FILES "${CMAKE_CURRENT_BINARY_DIR}/emoji.dict" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/pinyin")
+
+add_custom_command(
+  OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/chaizi.dict"
+  DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/chaizi.txt" LibIME::pinyindict
+  COMMAND LibIME::pinyindict "${CMAKE_CURRENT_SOURCE_DIR}/chaizi.txt" "${CMAKE_CURRENT_BINARY_DIR}/chaizi.dict")
+add_custom_target(chaizi-dict ALL DEPENDS "chaizi.dict")
+install(FILES "${CMAKE_CURRENT_BINARY_DIR}/chaizi.dict" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/pinyin")

=== im/table/CMakeLists.txt ===
set(TABLE_SOURCES
    engine.cpp
    state.cpp
    ime.cpp
    context.cpp
)
add_library(table MODULE ${TABLE_SOURCES})
target_link_libraries(table Fcitx5::Core Fcitx5::Config LibIME::Table Boost::iostreams Fcitx5::Module::Punctuation Fcitx5::Module::QuickPhrase Fcitx5::Module::PinyinHelper LibIME::Pinyin ${FMT_TARGET})
set_target_properties(table PROPERTIES PREFIX "")
target_compile_definitions(table PRIVATE FCITX_STRINGUTILS_ENABLE_BOOST_STRING_VIEW)
install(TARGETS table DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
fcitx5_translate_desktop_file(table.conf.in table.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/table.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/addon")

file(GLOB TABLE_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.conf.in.in)
foreach(TABLE_ORIG ${TABLE_FILES})
  get_filename_component(TABLE_NAME "${TABLE_ORIG}" NAME_WE)
  configure_file(${TABLE_NAME}.conf.in.in "${CMAKE_CURRENT_BINARY_DIR}/${TABLE_NAME}.conf.in" @ONLY)
  fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/${TABLE_NAME}.conf.in" ${TABLE_NAME}.conf)
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${TABLE_NAME}.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/inputmethod")
endforeach()

=== modules/chttrans/CMakeLists.txt ===
--- 
+++ 
@@ -13,4 +13,4 @@
 install(TARGETS chttrans DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
 fcitx5_translate_desktop_file(chttrans.conf.in chttrans.conf)
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/chttrans.conf" DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")
-install(FILES gbks2t.tab DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/data")
+install(FILES gbks2t.tab DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/chttrans")

=== modules/pinyinhelper/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
     stroke.cpp
 )
 add_library(pinyinhelper MODULE ${PINYINHELPER_SOURCES})
-target_link_libraries(pinyinhelper Fcitx5::Core Fcitx5::Config LibIME::Core Boost::iostreams)
+target_link_libraries(pinyinhelper Fcitx5::Core Fcitx5::Config LibIME::Core Boost::iostreams Fcitx5::Module::QuickPhrase Fcitx5::Module::Clipboard ${FMT_TARGET})
 set_target_properties(pinyinhelper PROPERTIES PREFIX "")
 install(TARGETS pinyinhelper DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
 fcitx5_translate_desktop_file(pinyinhelper.conf.in pinyinhelper.conf)

=== test/addon/CMakeLists.txt ===
add_custom_target(copy-addon DEPENDS pinyin-addon.conf.in-fmt table.conf.in-fmt pinyinhelper.conf.in-fmt punctuation.conf.in-fmt)
add_custom_command(TARGET copy-addon COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/im/pinyin/pinyin-addon.conf ${CMAKE_CURRENT_BINARY_DIR}/pinyin.conf)
add_custom_command(TARGET copy-addon COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/im/table/table.conf ${CMAKE_CURRENT_BINARY_DIR}/table.conf)
add_custom_command(TARGET copy-addon COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/modules/punctuation/punctuation.conf ${CMAKE_CURRENT_BINARY_DIR}/punctuation.conf)
add_custom_command(TARGET copy-addon COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/modules/pinyinhelper/pinyinhelper.conf ${CMAKE_CURRENT_BINARY_DIR}/pinyinhelper.conf)
add_custom_command(TARGET copy-addon COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/modules/fullwidth/fullwidth.conf ${CMAKE_CURRENT_BINARY_DIR}/fullwidth.conf)
add_custom_command(TARGET copy-addon COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_BINARY_DIR}/modules/chttrans/chttrans.conf ${CMAKE_CURRENT_BINARY_DIR}/chttrans.conf)

=== debian/changelog ===
fcitx5-chinese-addons (5.0.4-1+deb11u1) bullseye; urgency=medium

  * debian/control: Add missing package dependency relationship:
    + fcitx5-table:
      - fcitx5-module-pinyinhelper (Dep)
      - fcitx5-module-punctuation (Dep) (Closes: #1001739)

 -- Boyuan Yang <byang@debian.org>  Tue, 14 Dec 2021 20:09:19 -0500

fcitx5-chinese-addons (5.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 19 Feb 2021 15:29:37 +0800

fcitx5-chinese-addons (5.0.3-2) unstable; urgency=medium

  * Team upload.
  * Reupload with 5.0.2-2 changes

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 19 Jan 2021 13:12:48 +0800

fcitx5-chinese-addons (5.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Update Standards-Version to 4.5.1 (no changes)
  * Bump fcitx5 to 5.0.4
  * Bump libime to 1.0.3

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 19 Jan 2021 12:37:29 +0800

fcitx5-chinese-addons (5.0.2-2) unstable; urgency=medium

  * Rebuild before Debian 11 release.
  * debian/control: Bump Standards-Version to 4.5.1.
  * Let fcitx5-chinese-addons package recommends fcitx5.
  * Mark that fcitx5-chinese-addons package enhances fcitx5.

 -- Boyuan Yang <byang@debian.org>  Sat, 26 Dec 2020 12:43:38 -0500

fcitx5-chinese-addons (5.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Fix uscan watch file syntax
  * Refresh patches
  * Bump fcitx5 and libime version
  * Using icon with org.fcitx.Fcitx5 prefix
  * Fix appstream metainfo file install path

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 05 Dec 2020 19:54:20 +0800

fcitx5-chinese-addons (5.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Apply Multi-Arch hints
  * Bump fcitx5 to 5.0.1
  * Bump libime to 1.0.1
  * Add appstream to B-D
  * Install appstream metainfo

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 07 Nov 2020 01:23:58 +0800

fcitx5-chinese-addons (0.0~git20201028.930b4c2-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * as-needed LDFLAGS is not needed since bullseye
  * Don't ignore test result
  * Remove Multi-Arch same annotation.
    There are conflict files in /usr/share
  * Add pystroke and pytable components
  * Refresh patches
  * Bump fcitx5 to 0.0~git20201030
  * Bump libime to 0.0~git20201029
  * Fix pystroke and pytable path when testing
  * Temporary disable testchttrans

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 31 Oct 2020 23:35:29 +0800

=== debian/control ===
--- 
+++ 
@@ -5,27 +5,28 @@
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
+ appstream,
  cmake (>= 3.6.0),
  debhelper-compat (= 13),
  extra-cmake-modules,
- fcitx5-modules-dev (>= 0.0~git20200626),
+ fcitx5-modules-dev (>= 5.0.4),
  gettext,
  libboost-iostreams-dev,
  libcurl4-openssl-dev | libcurl-dev,
  libfcitx5-qt-dev,
- libfcitx5config-dev (>= 0.0~git20200626),
- libfcitx5core-dev (>= 0.0~git20200626),
- libfcitx5utils-dev (>= 0.0~git20200626),
+ libfcitx5config-dev (>= 5.0.4),
+ libfcitx5core-dev (>= 5.0.4),
+ libfcitx5utils-dev (>= 5.0.4),
  libfmt-dev,
- libime-bin (>= 0.0~git20200626),
- libimecore-dev (>= 0.0~git20200626),
- libimepinyin-dev (>= 0.0~git20200626),
- libimetable-dev (>= 0.0~git20200626),
+ libime-bin (>= 1.0.3),
+ libimecore-dev (>= 1.0.3),
+ libimepinyin-dev (>= 1.0.3),
+ libimetable-dev (>= 1.0.3),
  libopencc-dev (>= 1.1~),
  pkg-config,
  qtbase5-dev,
  qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-chinese-addons
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-chinese-addons.git
@@ -40,6 +41,10 @@
  fcitx5-pinyin,
  fcitx5-table,
  ${misc:Depends},
+Recommends:
+ fcitx5,
+Enhances:
+ fcitx5,
 Description: Chinese-related addon for fcitx5 (metapackage)
  For Chinese fcitx5 users, fcitx5-chinese-addons provides Chinese-specific
  pinyin and table input method support.
@@ -157,7 +162,7 @@
  provide better compatibility across different Linux distributions
  and desktop environments.
  .
- This package provides the chttrans module. It enhances the input
+ This package provides the fullwidth module. It enhances the input
  experience of full-width characters.
 
 Package: fcitx5-module-pinyinhelper
@@ -285,6 +290,8 @@
 Multi-Arch: same
 Depends:
  fcitx5-chinese-addons-data,
+ fcitx5-module-pinyinhelper (= ${binary:Version}),
+ fcitx5-module-punctuation (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Fcitx Input Method Framework v5 (builtin table support)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
ifeq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 mipsel))
	dh_auto_configure -- -DENABLE_BROWSER=OFF
else
	dh_auto_configure -- -DUSE_WEBKIT=OFF
endif

execute_before_dh_auto_test:
	ln -sf $(CURDIR)/pystroke/py_stroke.mb  obj-$(DEB_HOST_GNU_TYPE)/modules/pinyinhelper/
	ln -sf $(CURDIR)/pytable/py_table.mb obj-$(DEB_HOST_GNU_TYPE)/modules/pinyinhelper/
